
.nolist
#include	"asm83.inc"

.list
.org	$9327


	im	1

enable_interrupt:

	ld	hl,$8300
	ld	de,$8301
	ld	(hl),$84
	ld	bc,$0100
	ldir

	ld	hl,interrupt_start
	ld	de,$8484
	ld	bc,interrupt_end-interrupt_start
	ldir

	ld	a,$83
	ld	i,a
	im	2

	ld	hl,msg
	jp	_puts

interrupt_start:
	di
	ex	af,af'
	ld	($8484+hl_save-interrupt_start),hl
	exx
	ld	hl,($8484+hl_save-interrupt_start)
	ld	a,l
	cp	$27
	jr	nz,exit
	ld	a,h
	cp	$93		; hl=$9327
	jr	nz,exit

	nop			; breakpoint (in VTI)

exit:	exx
	ex	af,af'
	jp	$0038

hl_save:	.dw	$0000

interrupt_end:




msg:	.db	"interrupt set",0

;2C96
;80F5

.end
